
@margin : 32px;
@small-margin : 10px;
@border : 1px solid #000;
@font-title : 'nunito';
@font-body : 'source_sans';


.focusVisible() {
    &:focus {
        outline: none;
    }
    &:focus-visible {
        outline: 2px solid @textColor;
    }
}

.focusWithin() {
    &:focus-within {
        outline: 2px solid @textColor;
    }
    *:focus,
    *:focus-visible {
        outline: none;
    }
}


.no-shadow() {
    -webkit-box-shadow: initial;
    -moz-box-shadow: initial;
    box-shadow: initial;
}



//////

@fwBlack: 900;
@fwExtraBold: 800;
@fwBold: 700;
@fwSemiBold: 600;
@fwRegular: 400;
@fwThin: 300;
@fwLight: 200;
@fwExtraLight: @fwLight;


// BE CHARTE COLORS
// Main colors
@BE-navy-grey: #1b2838;
@BE-blue: #096077;
@BE-blue-logo: #00789c;
@BE-dark-green: #007268;

@BE-neutral-grey: #6b6e74;
@BE-light-grey: #f4f6f9;
@BE-red-error: #c10f0f;

// decorative colors
@BE-green: #289084;
@BE-green-logo: #75b626;
@BE-grey-logo: #9c9b9c;
@BE-light-bg: #f5f5f5;
@BE-top-bar: #f7f7f7;

// professional
@BE-pro: #b94802;
@BE-school: #a71464;

//footer
@BE-dark-footer: #2d3139;

// end block BE CHARTE COLORS

////// COLOR COLLECTION

@white: rgb(255, 255, 255);
// @greyExtraLight: #f8f8f8;
@greyExtraLight: @BE-light-grey;
@greyVeryLight: #e6e6e6;
@greyLight: #ccc;
@grey: @BE-neutral-grey;
@greyDark: @grey;
@greyMedium: @grey;

@black: rgb(0, 0, 0);

@extra-light-green: #e9efdf;
@green: @BE-green-logo;
@light-green: lighten(@green, 20%);
@dark-green: @BE-dark-green;

@blue: @BE-blue;
@light-blue: @BE-blue-logo;

@yellow: rgb(235, 227, 22);

@pink: #fff0f0;
@red: @BE-red-error;

//////
////// COLORS & USES
//////

@bodyBgColor: @white;
@textColor: @BE-navy-grey;
@textColorLight: @grey;
@headingColor: @dark-green;

////// Interactive elements

// @interactiveColorHover: @red;
// @inactiveHoverColor: @greyDark;
@warningColor: blue;

@activeColor: @blue;
@activeColorHover: @activeColor + 20%; // to be checked
@activeColorPressed: @activeColor - 20%; // to be checked

@inactiveColor: @grey;
@disabledColor: @greyLight; // TO BE FIXED

///////  BACKGROUNDS COLORS

@bgLightColor: @greyExtraLight;
@bgMediumColor: @greyLight;
@bgDarkColor: @grey;

////// Map background

@mapBgColor: @white;

////// Links

@linkColor: @black;
@linkColorHover: @blue;
@linkDecorationColor: @greyLight;

////// Borders

@borderDarkColor: @black;
@borderLightColor: @grey;
@borderExtraLightColor: @greyVeryLight;

////// Inputs

@inputBorderColor: @grey;
@inputBgColor: @white;
@inputPlaceholderColor: @BE-grey-logo;

@editable: @extra-light-green;

////// Interactive elements

// @interactiveColorHover: @green; //to be removed ?

// @activeColor: @green;
// @inactiveColor: @greyLight;
// @inactiveHoverColor: @grey;

// @widget-background : @greyExtraLight;
// @widget-background-hover : @greyExtraLight - 10%;
// @widget-background-active : @greyLight;

////// Table

@tableRowActiveColor: @light-green;
@tableRowHoverColor: @greyLight;
@tableTextSelectColor: @yellow;

////// Loader

@loaderColor: @green;
